Avid Pro Audio Community

Avid Pro Audio Community (http://duc.avid.com/index.php)
-   RTAS & TDM Plug-ins (http://duc.avid.com/forumdisplay.php?f=111)
-   -   Looking for latest Exponential Audio PhoenixVerb Surround Plugin for Pro Tools 10 (http://duc.avid.com/showthread.php?t=414519)

rantanplan 03-16-2021 06:10 PM

[solved] Looking for latest Exponential Audio PhoenixVerb Plugin for Pro Tools 10
 
Hi there

I missed the moment when Exponential Audio was sold to iZotope. And now the legacy downloads aren't available anymore.

I needed a 32bit version RTAS/AAX for Pro Tools 10. Also for PhoenixVerb Stereo and R2 Stereo.

Maybe someone has them still available? It would be wonderful if I could get a copy of these!

Cheers

Sardi 03-17-2021 03:59 AM

Re: Looking for latest Exponential Audio PhoenixVerb Surround Plugin for Pro Tools 10
 
Have you tried emailing Izotope and seeing if they can supply you with the legacy installers you’re after?


Sent from my iPhone using Tapatalk

crizdee 03-17-2021 05:54 AM

Re: Looking for latest Exponential Audio PhoenixVerb Surround Plugin for Pro Tools 10
 
Quote:

Originally Posted by Sardi (Post 2596313)
Have you tried emailing Izotope and seeing if they can supply you with the legacy installers you’re after?


Sent from my iPhone using Tapatalk




This is what i did and Izotope sent me the installers.




Chris

rantanplan 03-17-2021 07:50 AM

Re: Looking for latest Exponential Audio PhoenixVerb Surround Plugin for Pro Tools 10
 
Quote:

Originally Posted by Sardi (Post 2596313)
Have you tried emailing Izotope and seeing if they can supply you with the legacy installers you’re after?

Yes I contacted support and this is what they answered:

Quote:

Thanks for reaching out!

At this time, we only have the newest 64 bit versions of these plug-ins available for download. You can find these installers here:

https://www.izotope.com/en/products/downloads.html

I do apologize for any inconvenience regarding your 32 bit legacy Pro Tools rig. Please let me know if you have any questions and I'll be sure to do what I can to help.
So, no luck so far... :(

Sardi 03-17-2021 12:39 PM

Looking for latest Exponential Audio PhoenixVerb Surround Plugin for Pro Tools 10
 
Hmmmm...

Crizdee seems to have been able to get older versions from them. As has this person.

https://www.gearslutz.com/board/musi...-versions.html

Might want to follow that up again and press the matter.


Sent from my iPhone using Tapatalk

rantanplan 03-18-2021 06:21 AM

Re: Looking for latest Exponential Audio PhoenixVerb Surround Plugin for Pro Tools 10
 
Quote:

Originally Posted by Sardi (Post 2596362)
Hmmmm...

Crizdee seems to have been able to get older versions from them. As has this person.

https://www.gearslutz.com/board/musi...-versions.html

Might want to follow that up again and press the matter.

Thanks a lot for the hint. I wrote the support again, and I will try to contact this guy from Gearslutz.

Best
t

rantanplan 03-18-2021 07:01 AM

Re: Looking for latest Exponential Audio PhoenixVerb Surround Plugin for Pro Tools 10
 
Hi everyone,

here's the reply from Andrew from iZotope customer care:

Quote:

Due to a hard drive crash that resulted in data loss we no longer have access to 32 bit installers.

Keep in mind that these installers were discontinued years ago by their developer, Michael Carnes, before he joined iZotope.

I do apologize about the inconvenience. We can only support the 64 bit version at this time.
That's why they can't help in this matter anymore.

Sardi 03-18-2021 07:26 AM

Looking for latest Exponential Audio PhoenixVerb Surround Plugin for Pro Tools 10
 
Not to harp on about this, but that sounds like a bit of a cop out to me. A company like Izotope only has one copy of these installers on a hard drive that has now crashed? Yeah... I don’t buy that for a second.

Seems to me they don’t want to support a legacy product, particular one that they didn’t code in the first place. I expected better from them to be honest.

Hope someone is able to hook you up with an older installer.


Sent from my iPhone using Tapatalk

BScout 03-18-2021 01:34 PM

Re: Looking for latest Exponential Audio PhoenixVerb Surround Plugin for Pro Tools 10
 
Don't know how helpful this is but it looks like for PhoenixVerb Surround, you'll need
2.0.5 or earlier for 32-bit AAX and
1.2.2 or earlier for RTAS.

(my earliest archived installer is 2.0.9 so that isn't going to help)

bewk 04-29-2021 05:19 PM

Re: Looking for latest Exponential Audio PhoenixVerb Surround Plugin for Pro Tools 10
 
PM sent.


All times are GMT -7. The time now is 05:17 PM.

Powered by: vBulletin, Copyright ©2000 - 2008, Jelsoft Enterprises Limited. Forum Hosted By: URLJet.com